import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './permission'
Vue.config.productionTip = false

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';

import {
  get,
  post,
  postJson,
  downFile
} from './request/api'

Vue.prototype.$getApi = get
Vue.prototype.$postApi = post
Vue.prototype.$postJsonApi = postJson
Vue.prototype.$downFile = downFile

Vue.use(ElementUI);


new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')