import Vue from 'vue'
import CryptoJS from 'crypto-js'
import deCode from './decode'
// AES-128-CBC偏移量

const CBCIV = deCode.deCodeCrypt();
export default {
    //加密
    encrypt(word, keyStr) {
        // 偏移量 加密码，前后端要统一
        let key = CryptoJS.enc.Utf8.parse(CBCIV);
        let srcs = CryptoJS.enc.Utf8.parse(word);
        let encrypted = CryptoJS.AES.encrypt(srcs, key, {
            mode: CryptoJS.mode.ECB,
            padding: CryptoJS.pad.Pkcs7
        });
        return encrypted.toString();
    },
    //解密
    decrypt(word, keyStr) {
        let key = CryptoJS.enc.Utf8.parse(CBCIV);
        let decrypt = CryptoJS.AES.decrypt(word, key, {
            mode: CryptoJS.mode.ECB,
            padding: CryptoJS.pad.Pkcs7
        });
        return CryptoJS.enc.Utf8.stringify(decrypt).toString();
    }

}